package com.ruoyi.system.domain.dto;

import com.ruoyi.system.domain.UserWork;

import java.util.List;

public class MoreUserDetailDto {

    private Long userId;
    private String nickName;
    private String avatar;
    private String remark;
    private String isFollow;
    private String signature;
    private String backGround;
//    private List<UserPublishWorkMoreDto> userWorkList;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }

    public String getIsFollow() {
        return isFollow;
    }

    public void setIsFollow(String isFollow) {
        this.isFollow = isFollow;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getBackGround() {
        return backGround;
    }

    public void setBackGround(String back_ground) {
        this.backGround = back_ground;
    }

//    public List<UserPublishWorkMoreDto> getUserWorkList() {
//        return userWorkList;
//    }

//    public void setUserWorkList(List<UserPublishWorkMoreDto> userWorkList) {
//        this.userWorkList = userWorkList;
//    }
}
